package com.avg.zaap.crashlibrary.publish.cap;

import com.avg.zaap.crashlibrary.publish.cap.http.CapRequest;

/**
 * This class serves as the default dependency factory for the cap crash publisher.
 * <p>
 * Created by marek.osvald on 6.6.2016.
 */
public class CapCrashPublisherFactory implements ICapCrashPublisherFactory {

    @Override
    public IExceptionHeaderGenerator getExceptionHeaderGenerator() {
        return new ExceptionHeaderGenerator();
    }

    @Override
    public CapRequest getCapRequest() {
        return new CapRequest();
    }

    @Override
    public ICapHelper getCapHelper() {
        return new CapHelper();
    }

}
